OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.Multisample

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBMultisample :: MonadIO m => m Bool
- gl_ARB_multisample :: Bool
- gl_MULTISAMPLE_ARB :: GLenum
- gl_MULTISAMPLE_BIT_ARB :: GLbitfield
- gl_SAMPLES_ARB :: GLenum
- gl_SAMPLE_ALPHA_TO_COVERAGE_ARB :: GLenum
- gl_SAMPLE_ALPHA_TO_ONE_ARB :: GLenum
- gl_SAMPLE_BUFFERS_ARB :: GLenum
- gl_SAMPLE_COVERAGE_ARB :: GLenum
- gl_SAMPLE_COVERAGE_INVERT_ARB :: GLenum
- gl_SAMPLE_COVERAGE_VALUE_ARB :: GLenum
- glSampleCoverageARB :: MonadIO m => GLfloat -> GLboolean -> m ()

# Extension Support

glGetARBMultisample :: MonadIO m => m Bool

Is the ARB_multisample extension supported?

gl_ARB_multisample :: Bool

Is the ARB_multisample extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBMultisample` in those cases instead.

# Enums

gl_MULTISAMPLE_ARB :: GLenum

gl_MULTISAMPLE_BIT_ARB :: GLbitfield

gl_SAMPLES_ARB :: GLenum

gl_SAMPLE_ALPHA_TO_COVERAGE_ARB :: GLenum

gl_SAMPLE_ALPHA_TO_ONE_ARB :: GLenum

gl_SAMPLE_BUFFERS_ARB :: GLenum

gl_SAMPLE_COVERAGE_ARB :: GLenum

gl_SAMPLE_COVERAGE_INVERT_ARB :: GLenum

gl_SAMPLE_COVERAGE_VALUE_ARB :: GLenum

# Functions

glSampleCoverageARB

Arguments

:: MonadIO m |
=> GLfloat | `value`.
-> GLboolean | `invert` of type Boolean.
-> m () |

This command is an alias for `glSampleCoverage`.